org.jboss.resteasy.core.request

## Class QualityValue

- java.lang.Object
- - java.lang.Number
  - - org.jboss.resteasy.core.request.QualityValue

- All Implemented Interfaces:
    Serializable, Comparable<QualityValue>

      public final class QualityValue
      extends Number
      implements Comparable<QualityValue>

  Author:
    Pascal S. de Kloe
  See Also:
    "RFC2616 3.9 Quality Values", Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QualityValue` | `DEFAULT`
    `static QualityValue` | `HIGHEST`
    `static QualityValue` | `LOWEST`
    `static QualityValue` | `NOT_ACCEPTABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(QualityValue o)`
    `double` | `doubleValue()`
    `boolean` | `equals(Object o)`
    `float` | `floatValue()`
    `int` | `hashCode()`
    `int` | `intValue()`
    `boolean` | `isAcceptable()`
    `boolean` | `isPrefered()`
    `long` | `longValue()`
    `static QualityValue` | `valueOf(String qvalue)`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOT_ACCEPTABLE

          public static final QualityValue NOT_ACCEPTABLE

    - #### LOWEST

          public static final QualityValue LOWEST

    - #### HIGHEST

          public static final QualityValue HIGHEST

    - #### DEFAULT

          public static final QualityValue DEFAULT

  - ### Method Detail

    - #### valueOf

          public static QualityValue valueOf(String qvalue)

      Parameters:
        `qvalue` - the quality value or `null` if undefined.

    - #### isPrefered

          public boolean isPrefered()

    - #### isAcceptable

          public boolean isAcceptable()

    - #### compareTo

          public int compareTo(QualityValue o)

      Specified by:
        `compareTo` in interface `Comparable<QualityValue>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

Copyright © 2014. All Rights Reserved.